Page MenuHomePhabricator

Upgrade Calico to 3.18
Closed, ResolvedPublic

Description

We're currently on Calico 3.14, which supports k8s 1.16-1.18, latest Calico (3.18) supports k8s 1.18-1.20. Once we're on 1.18 we need to upgrade to a later Calico version.

Last upgrade T250863 suggests that this can be done with no impact to network traffic, which is nice.

Event Timeline

Majavah triaged this task as Medium priority.Apr 16 2021, 10:57 AM
Majavah created this task.

The upstream manifest (https://docs.projectcalico.org/manifests/calico-typha.yaml) has had some changes, we should upgrade ours (operations/puppet/modules/kubeadm/templates/calico.yaml.erb) to match upstream before updating.

Calico 3.19 dropped support for Kubernetes 1.18, so let's upgrade to Calico 3.18 while we're on k8s 1.18 and look at upgrading to Calico 3.19 at a later date. 3.18 officially supports 1.18-1.20.

Majavah renamed this task from Upgrade Calico to newest supported version to Upgrade Calico to 3.18.Jul 4 2021, 8:49 AM

Change 703061 had a related patch set uploaded (by Majavah; author: Majavah):

[operations/puppet@production] kubeadm: Upgrade Calico to v3.18.4

https://gerrit.wikimedia.org/r/703061

Change 703061 merged by Bstorm:

[operations/puppet@production] kubeadm: Upgrade Calico to v3.18.4

https://gerrit.wikimedia.org/r/703061

Mentioned in SAL (#wikimedia-cloud) [2021-07-14T09:05:53Z] <majavah> testing calico 3.18 upgrade - T280342

Mentioned in SAL (#wikimedia-cloud) [2021-07-14T09:17:36Z] <majavah> copying calico 3.18.4 images from docker hub to docker-registry.tools.wmflabs.org T280342

I deployed the upgraded version to toolsbeta. Didn't experience any problems, and the update had no effect on live network traffic.

Mentioned in SAL (#wikimedia-cloud) [2021-07-21T16:59:15Z] <majavah> deploying calico v3.18.4 T280342

Mentioned in SAL (#wikimedia-cloud) [2021-07-21T17:10:26Z] <majavah> deploying calico v3.18.4 T280342